package com.mortals.xhx.module.customer.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.customer.model.CustomerEntity;
/**
 * 客户管理查询对象
 *
 * @author zxfei
 * @date 2022-07-01
 */
public class CustomerQuery extends CustomerEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 用户登录账号 */
    private List<String> loginNameList;

    /** 密码 */
    private List<String> passwordList;

    /** 开始 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0 */
    private Integer memberLevelStart;

    /** 结束 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0 */
    private Integer memberLevelEnd;

    /** 增加 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0 */
    private Integer memberLevelIncrement;

    /** 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0列表 */
    private List <Integer> memberLevelList;

    /** 客户真实名称 */
    private List<String> custNameList;

    /** 单位名称 */
    private List<String> organizationList;

    /** 联系电话 */
    private List<String> contactTelphoneList;

    /** 企业顾问 */
    private List<String> enterpriseConsultantList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 开始 性别 */
    private Integer sexStart;

    /** 结束 性别 */
    private Integer sexEnd;

    /** 增加 性别 */
    private Integer sexIncrement;

    /** 性别列表 */
    private List <Integer> sexList;

    /** 邮箱 */
    private List<String> mailboxList;

    /** 职位 */
    private List<String> jobList;

    /** 头像图片地址 */
    private List<String> avatarList;

    /** 开始 客户来源 */
    private Long customerSrcStart;

    /** 结束 客户来源 */
    private Long customerSrcEnd;

    /** 增加 客户来源 */
    private Long customerSrcIncrement;

    /** 客户来源列表 */
    private List <Long> customerSrcList;

    /** 开始 使用状态，1:正常，0:禁用，默认：0 */
    private Integer statusStart;

    /** 结束 使用状态，1:正常，0:禁用，默认：0 */
    private Integer statusEnd;

    /** 增加 使用状态，1:正常，0:禁用，默认：0 */
    private Integer statusIncrement;

    /** 使用状态，1:正常，0:禁用，默认：0列表 */
    private List <Integer> statusList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 注册时间 */
    private String createTimeStart;

    /** 结束 注册时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 最后一次登录时间 */
    private String lastLoginTimeStart;

    /** 结束 最后一次登录时间 */
    private String lastLoginTimeEnd;

    /** 最后一次登录地址 */
    private List<String> lastLoginAddressList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CustomerQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CustomerQuery> andConditionList;

    public CustomerQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 用户登录账号
     * @return loginNameList
     */
    public List<String> getLoginNameList(){
        return this.loginNameList;
    }

    /**
     * 设置 用户登录账号
     * @param loginNameList
     */
    public void setLoginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
    }
    /**
     * 获取 密码
     * @return passwordList
     */
    public List<String> getPasswordList(){
        return this.passwordList;
    }

    /**
     * 设置 密码
     * @param passwordList
     */
    public void setPasswordList(List<String> passwordList){
        this.passwordList = passwordList;
    }
    /**
     * 获取 开始 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @return memberLevelStart
     */
    public Integer getMemberLevelStart(){
        return this.memberLevelStart;
    }

    /**
     * 设置 开始 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @param memberLevelStart
     */
    public void setMemberLevelStart(Integer memberLevelStart){
        this.memberLevelStart = memberLevelStart;
    }

    /**
     * 获取 结束 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @return $memberLevelEnd
     */
    public Integer getMemberLevelEnd(){
        return this.memberLevelEnd;
    }

    /**
     * 设置 结束 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @param memberLevelEnd
     */
    public void setMemberLevelEnd(Integer memberLevelEnd){
        this.memberLevelEnd = memberLevelEnd;
    }

    /**
     * 获取 增加 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @return memberLevelIncrement
     */
    public Integer getMemberLevelIncrement(){
        return this.memberLevelIncrement;
    }

    /**
     * 设置 增加 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @param memberLevelIncrement
     */
    public void setMemberLevelIncrement(Integer memberLevelIncrement){
        this.memberLevelIncrement = memberLevelIncrement;
    }

    /**
     * 获取 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @return memberLevelList
     */
    public List<Integer> getMemberLevelList(){
        return this.memberLevelList;
    }

    /**
     * 设置 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @param memberLevelList
     */
    public void setMemberLevelList(List<Integer> memberLevelList){
        this.memberLevelList = memberLevelList;
    }

    /**
     * 获取 客户真实名称
     * @return custNameList
     */
    public List<String> getCustNameList(){
        return this.custNameList;
    }

    /**
     * 设置 客户真实名称
     * @param custNameList
     */
    public void setCustNameList(List<String> custNameList){
        this.custNameList = custNameList;
    }
    /**
     * 获取 单位名称
     * @return organizationList
     */
    public List<String> getOrganizationList(){
        return this.organizationList;
    }

    /**
     * 设置 单位名称
     * @param organizationList
     */
    public void setOrganizationList(List<String> organizationList){
        this.organizationList = organizationList;
    }
    /**
     * 获取 联系电话
     * @return contactTelphoneList
     */
    public List<String> getContactTelphoneList(){
        return this.contactTelphoneList;
    }

    /**
     * 设置 联系电话
     * @param contactTelphoneList
     */
    public void setContactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
    }
    /**
     * 获取 企业顾问
     * @return enterpriseConsultantList
     */
    public List<String> getEnterpriseConsultantList(){
        return this.enterpriseConsultantList;
    }

    /**
     * 设置 企业顾问
     * @param enterpriseConsultantList
     */
    public void setEnterpriseConsultantList(List<String> enterpriseConsultantList){
        this.enterpriseConsultantList = enterpriseConsultantList;
    }
    /**
     * 获取 开始 站点ID
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点ID
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点ID
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点ID
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 开始 性别
     * @return sexStart
     */
    public Integer getSexStart(){
        return this.sexStart;
    }

    /**
     * 设置 开始 性别
     * @param sexStart
     */
    public void setSexStart(Integer sexStart){
        this.sexStart = sexStart;
    }

    /**
     * 获取 结束 性别
     * @return $sexEnd
     */
    public Integer getSexEnd(){
        return this.sexEnd;
    }

    /**
     * 设置 结束 性别
     * @param sexEnd
     */
    public void setSexEnd(Integer sexEnd){
        this.sexEnd = sexEnd;
    }

    /**
     * 获取 增加 性别
     * @return sexIncrement
     */
    public Integer getSexIncrement(){
        return this.sexIncrement;
    }

    /**
     * 设置 增加 性别
     * @param sexIncrement
     */
    public void setSexIncrement(Integer sexIncrement){
        this.sexIncrement = sexIncrement;
    }

    /**
     * 获取 性别
     * @return sexList
     */
    public List<Integer> getSexList(){
        return this.sexList;
    }

    /**
     * 设置 性别
     * @param sexList
     */
    public void setSexList(List<Integer> sexList){
        this.sexList = sexList;
    }

    /**
     * 获取 邮箱
     * @return mailboxList
     */
    public List<String> getMailboxList(){
        return this.mailboxList;
    }

    /**
     * 设置 邮箱
     * @param mailboxList
     */
    public void setMailboxList(List<String> mailboxList){
        this.mailboxList = mailboxList;
    }
    /**
     * 获取 职位
     * @return jobList
     */
    public List<String> getJobList(){
        return this.jobList;
    }

    /**
     * 设置 职位
     * @param jobList
     */
    public void setJobList(List<String> jobList){
        this.jobList = jobList;
    }
    /**
     * 获取 头像图片地址
     * @return avatarList
     */
    public List<String> getAvatarList(){
        return this.avatarList;
    }

    /**
     * 设置 头像图片地址
     * @param avatarList
     */
    public void setAvatarList(List<String> avatarList){
        this.avatarList = avatarList;
    }
    /**
     * 获取 开始 客户来源
     * @return customerSrcStart
     */
    public Long getCustomerSrcStart(){
        return this.customerSrcStart;
    }

    /**
     * 设置 开始 客户来源
     * @param customerSrcStart
     */
    public void setCustomerSrcStart(Long customerSrcStart){
        this.customerSrcStart = customerSrcStart;
    }

    /**
     * 获取 结束 客户来源
     * @return $customerSrcEnd
     */
    public Long getCustomerSrcEnd(){
        return this.customerSrcEnd;
    }

    /**
     * 设置 结束 客户来源
     * @param customerSrcEnd
     */
    public void setCustomerSrcEnd(Long customerSrcEnd){
        this.customerSrcEnd = customerSrcEnd;
    }

    /**
     * 获取 增加 客户来源
     * @return customerSrcIncrement
     */
    public Long getCustomerSrcIncrement(){
        return this.customerSrcIncrement;
    }

    /**
     * 设置 增加 客户来源
     * @param customerSrcIncrement
     */
    public void setCustomerSrcIncrement(Long customerSrcIncrement){
        this.customerSrcIncrement = customerSrcIncrement;
    }

    /**
     * 获取 客户来源
     * @return customerSrcList
     */
    public List<Long> getCustomerSrcList(){
        return this.customerSrcList;
    }

    /**
     * 设置 客户来源
     * @param customerSrcList
     */
    public void setCustomerSrcList(List<Long> customerSrcList){
        this.customerSrcList = customerSrcList;
    }

    /**
     * 获取 开始 使用状态，1:正常，0:禁用，默认：0
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 使用状态，1:正常，0:禁用，默认：0
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 使用状态，1:正常，0:禁用，默认：0
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 使用状态，1:正常，0:禁用，默认：0
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 使用状态，1:正常，0:禁用，默认：0
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 使用状态，1:正常，0:禁用，默认：0
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 使用状态，1:正常，0:禁用，默认：0
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 使用状态，1:正常，0:禁用，默认：0
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 注册时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 注册时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 注册时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 注册时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 最后一次登录时间
     * @return lastLoginTimeStart
     */
    public String getLastLoginTimeStart(){
        return this.lastLoginTimeStart;
    }

    /**
     * 设置 开始 最后一次登录时间
     * @param lastLoginTimeStart
     */
    public void setLastLoginTimeStart(String lastLoginTimeStart){
        this.lastLoginTimeStart = lastLoginTimeStart;
    }

    /**
     * 获取 结束 最后一次登录时间
     * @return lastLoginTimeEnd
     */
    public String getLastLoginTimeEnd(){
        return this.lastLoginTimeEnd;
    }

    /**
     * 设置 结束 最后一次登录时间
     * @param lastLoginTimeEnd
     */
    public void setLastLoginTimeEnd(String lastLoginTimeEnd){
        this.lastLoginTimeEnd = lastLoginTimeEnd;
    }

    /**
     * 获取 最后一次登录地址
     * @return lastLoginAddressList
     */
    public List<String> getLastLoginAddressList(){
        return this.lastLoginAddressList;
    }

    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddressList
     */
    public void setLastLoginAddressList(List<String> lastLoginAddressList){
        this.lastLoginAddressList = lastLoginAddressList;
    }
    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public CustomerQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public CustomerQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public CustomerQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public CustomerQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public CustomerQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 用户登录账号
     * @param loginName
     */
    public CustomerQuery loginName(String loginName){
        setLoginName(loginName);
        return this;
    }

    /**
     * 设置 用户登录账号
     * @param loginNameList
     */
    public CustomerQuery loginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
        return this;
    }


    /**
     * 设置 密码
     * @param password
     */
    public CustomerQuery password(String password){
        setPassword(password);
        return this;
    }

    /**
     * 设置 密码
     * @param passwordList
     */
    public CustomerQuery passwordList(List<String> passwordList){
        this.passwordList = passwordList;
        return this;
    }

    /**
     * 设置  会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @param memberLevel
     */
    public CustomerQuery memberLevel(Integer memberLevel){
        setMemberLevel(memberLevel);
        return this;
    }

    /**
     * 设置 开始 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @param memberLevelStart
     */
    public CustomerQuery memberLevelStart(Integer memberLevelStart){
        this.memberLevelStart = memberLevelStart;
        return this;
    }

    /**
     * 设置 结束 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @param memberLevelEnd
     */
    public CustomerQuery memberLevelEnd(Integer memberLevelEnd){
        this.memberLevelEnd = memberLevelEnd;
        return this;
    }

    /**
     * 设置 增加 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @param memberLevelIncrement
     */
    public CustomerQuery memberLevelIncrement(Integer memberLevelIncrement){
        this.memberLevelIncrement = memberLevelIncrement;
        return this;
    }

    /**
     * 设置 会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
     * @param memberLevelList
     */
    public CustomerQuery memberLevelList(List<Integer> memberLevelList){
        this.memberLevelList = memberLevelList;
        return this;
    }


    /**
     * 设置 客户真实名称
     * @param custName
     */
    public CustomerQuery custName(String custName){
        setCustName(custName);
        return this;
    }

    /**
     * 设置 客户真实名称
     * @param custNameList
     */
    public CustomerQuery custNameList(List<String> custNameList){
        this.custNameList = custNameList;
        return this;
    }


    /**
     * 设置 单位名称
     * @param organization
     */
    public CustomerQuery organization(String organization){
        setOrganization(organization);
        return this;
    }

    /**
     * 设置 单位名称
     * @param organizationList
     */
    public CustomerQuery organizationList(List<String> organizationList){
        this.organizationList = organizationList;
        return this;
    }


    /**
     * 设置 联系电话
     * @param contactTelphone
     */
    public CustomerQuery contactTelphone(String contactTelphone){
        setContactTelphone(contactTelphone);
        return this;
    }

    /**
     * 设置 联系电话
     * @param contactTelphoneList
     */
    public CustomerQuery contactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
        return this;
    }


    /**
     * 设置 企业顾问
     * @param enterpriseConsultant
     */
    public CustomerQuery enterpriseConsultant(String enterpriseConsultant){
        setEnterpriseConsultant(enterpriseConsultant);
        return this;
    }

    /**
     * 设置 企业顾问
     * @param enterpriseConsultantList
     */
    public CustomerQuery enterpriseConsultantList(List<String> enterpriseConsultantList){
        this.enterpriseConsultantList = enterpriseConsultantList;
        return this;
    }

    /**
     * 设置  站点ID
     * @param siteId
     */
    public CustomerQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public CustomerQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public CustomerQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public CustomerQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public CustomerQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置  性别
     * @param sex
     */
    public CustomerQuery sex(Integer sex){
        setSex(sex);
        return this;
    }

    /**
     * 设置 开始 性别
     * @param sexStart
     */
    public CustomerQuery sexStart(Integer sexStart){
        this.sexStart = sexStart;
        return this;
    }

    /**
     * 设置 结束 性别
     * @param sexEnd
     */
    public CustomerQuery sexEnd(Integer sexEnd){
        this.sexEnd = sexEnd;
        return this;
    }

    /**
     * 设置 增加 性别
     * @param sexIncrement
     */
    public CustomerQuery sexIncrement(Integer sexIncrement){
        this.sexIncrement = sexIncrement;
        return this;
    }

    /**
     * 设置 性别
     * @param sexList
     */
    public CustomerQuery sexList(List<Integer> sexList){
        this.sexList = sexList;
        return this;
    }


    /**
     * 设置 邮箱
     * @param mailbox
     */
    public CustomerQuery mailbox(String mailbox){
        setMailbox(mailbox);
        return this;
    }

    /**
     * 设置 邮箱
     * @param mailboxList
     */
    public CustomerQuery mailboxList(List<String> mailboxList){
        this.mailboxList = mailboxList;
        return this;
    }


    /**
     * 设置 职位
     * @param job
     */
    public CustomerQuery job(String job){
        setJob(job);
        return this;
    }

    /**
     * 设置 职位
     * @param jobList
     */
    public CustomerQuery jobList(List<String> jobList){
        this.jobList = jobList;
        return this;
    }


    /**
     * 设置 头像图片地址
     * @param avatar
     */
    public CustomerQuery avatar(String avatar){
        setAvatar(avatar);
        return this;
    }

    /**
     * 设置 头像图片地址
     * @param avatarList
     */
    public CustomerQuery avatarList(List<String> avatarList){
        this.avatarList = avatarList;
        return this;
    }

    /**
     * 设置  客户来源
     * @param customerSrc
     */
    public CustomerQuery customerSrc(Long customerSrc){
        setCustomerSrc(customerSrc);
        return this;
    }

    /**
     * 设置 开始 客户来源
     * @param customerSrcStart
     */
    public CustomerQuery customerSrcStart(Long customerSrcStart){
        this.customerSrcStart = customerSrcStart;
        return this;
    }

    /**
     * 设置 结束 客户来源
     * @param customerSrcEnd
     */
    public CustomerQuery customerSrcEnd(Long customerSrcEnd){
        this.customerSrcEnd = customerSrcEnd;
        return this;
    }

    /**
     * 设置 增加 客户来源
     * @param customerSrcIncrement
     */
    public CustomerQuery customerSrcIncrement(Long customerSrcIncrement){
        this.customerSrcIncrement = customerSrcIncrement;
        return this;
    }

    /**
     * 设置 客户来源
     * @param customerSrcList
     */
    public CustomerQuery customerSrcList(List<Long> customerSrcList){
        this.customerSrcList = customerSrcList;
        return this;
    }

    /**
     * 设置  使用状态，1:正常，0:禁用，默认：0
     * @param status
     */
    public CustomerQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 使用状态，1:正常，0:禁用，默认：0
     * @param statusStart
     */
    public CustomerQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 使用状态，1:正常，0:禁用，默认：0
     * @param statusEnd
     */
    public CustomerQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 使用状态，1:正常，0:禁用，默认：0
     * @param statusIncrement
     */
    public CustomerQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 使用状态，1:正常，0:禁用，默认：0
     * @param statusList
     */
    public CustomerQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CustomerQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CustomerQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CustomerQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CustomerQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CustomerQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }





    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddress
     */
    public CustomerQuery lastLoginAddress(String lastLoginAddress){
        setLastLoginAddress(lastLoginAddress);
        return this;
    }

    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddressList
     */
    public CustomerQuery lastLoginAddressList(List<String> lastLoginAddressList){
        this.lastLoginAddressList = lastLoginAddressList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CustomerQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CustomerQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CustomerQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CustomerQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}