package com.mortals.xhx.module.customer.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.vo.CustomerTrialVo;
/**
 * 客户试用申请实体对象
 *
 * @author zxfei
 * @date 2022-07-27
 */

public class CustomerTrialEntity extends CustomerTrialVo {
    private static final long serialVersionUID = 1L;

    /**
     * 申请会员等级，1：试用客户，2：VIP，3：设计师
     */
    private Integer memberLevel;
    /**
     * 受理状态，0:未受理，1:同意，2:不同意。默认：0
     */
    private Integer isAccept;
    /**
     * 客户真实名称
     */
    private String custName;
    /**
     * 单位名称
     */
    private String organization;
    /**
     * 联系电话
     */
    private String contactTelphone;
    /**
     * 性别
     */
    private Integer sex;
    /**
     * 邮箱
     */
    private String mailbox;
    /**
     * 职位
     */
    private String job;
    /**
     * 客户ID
     */
    private Long customerId;



    public CustomerTrialEntity(){}
    /**
     * 获取 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @return Integer
     */
    public Integer getMemberLevel(){
        return memberLevel;
    }
    /**
     * 设置 申请会员等级，1：试用客户，2：VIP，3：设计师
     * @param memberLevel
     */
    public void setMemberLevel(Integer memberLevel){
        this.memberLevel = memberLevel;
    }
    /**
     * 获取 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @return Integer
     */
    public Integer getIsAccept(){
        return isAccept;
    }
    /**
     * 设置 受理状态，0:未受理，1:同意，2:不同意。默认：0
     * @param isAccept
     */
    public void setIsAccept(Integer isAccept){
        this.isAccept = isAccept;
    }
    /**
     * 获取 客户真实名称
     * @return String
     */
    public String getCustName(){
        return custName;
    }
    /**
     * 设置 客户真实名称
     * @param custName
     */
    public void setCustName(String custName){
        this.custName = custName;
    }
    /**
     * 获取 单位名称
     * @return String
     */
    public String getOrganization(){
        return organization;
    }
    /**
     * 设置 单位名称
     * @param organization
     */
    public void setOrganization(String organization){
        this.organization = organization;
    }
    /**
     * 获取 联系电话
     * @return String
     */
    public String getContactTelphone(){
        return contactTelphone;
    }
    /**
     * 设置 联系电话
     * @param contactTelphone
     */
    public void setContactTelphone(String contactTelphone){
        this.contactTelphone = contactTelphone;
    }
    /**
     * 获取 性别
     * @return Integer
     */
    public Integer getSex(){
        return sex;
    }
    /**
     * 设置 性别
     * @param sex
     */
    public void setSex(Integer sex){
        this.sex = sex;
    }
    /**
     * 获取 邮箱
     * @return String
     */
    public String getMailbox(){
        return mailbox;
    }
    /**
     * 设置 邮箱
     * @param mailbox
     */
    public void setMailbox(String mailbox){
        this.mailbox = mailbox;
    }
    /**
     * 获取 职位
     * @return String
     */
    public String getJob(){
        return job;
    }
    /**
     * 设置 职位
     * @param job
     */
    public void setJob(String job){
        this.job = job;
    }
    /**
     * 获取 客户ID
     * @return Long
     */
    public Long getCustomerId(){
        return customerId;
    }
    /**
     * 设置 客户ID
     * @param customerId
     */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerTrialEntity) {
            CustomerTrialEntity tmp = (CustomerTrialEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",memberLevel:").append(getMemberLevel());
        sb.append(",isAccept:").append(getIsAccept());
        sb.append(",custName:").append(getCustName());
        sb.append(",organization:").append(getOrganization());
        sb.append(",contactTelphone:").append(getContactTelphone());
        sb.append(",sex:").append(getSex());
        sb.append(",mailbox:").append(getMailbox());
        sb.append(",job:").append(getJob());
        sb.append(",customerId:").append(getCustomerId());
        return sb.toString();
    }

    public void initAttrValue(){

        this.memberLevel = null;

        this.isAccept = null;

        this.custName = "";

        this.organization = "";

        this.contactTelphone = "";

        this.sex = null;

        this.mailbox = "";

        this.job = "";

        this.customerId = null;
    }
}