package com.mortals.xhx.module.design.web;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.design.model.DesignMasterplateEntity;
import com.mortals.xhx.module.design.model.DesignMasterplateQuery;
import com.mortals.xhx.module.design.service.DesignMasterplateService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 模版管理
*
* @author zxfei
* @date 2022-06-08
*/
@RestController
@RequestMapping("design/masterplate")
public class DesignMasterplateController extends BaseCRUDJsonBodyMappingController<DesignMasterplateService,DesignMasterplateEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DesignMasterplateController(){
        super.setModuleDesc( "模版管理");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @Override
    protected void saveBefore(DesignMasterplateEntity entity, Map<String, Object> model, Context context) throws AppException {
        if(CollectionUtils.isNotEmpty(entity.getDesignContent())) {
            entity.setDraft(JSONObject.toJSONString(entity.getDesignContent()));
        }
    }

    @Override
    protected void doListBefore(DesignMasterplateEntity query, Map<String, Object> model, Context context) throws AppException {
        Map<String,String> orderCols = new HashMap<>();
        if(query.getOrderType()==null||query.getOrderType()==3) {
            orderCols.put("createTime", "DESC");
            query.setOrderCols(orderCols);
        }else if(query.getOrderType()==1||query.getOrderType()==2) {
            orderCols.put("masterplateUseNum", "DESC");
            orderCols.put("createTime", "DESC");
            query.setOrderCols(orderCols);
        }
    }

    @Override
    protected int doListAfter(DesignMasterplateEntity query, Map<String, Object> model, Context context) throws AppException {
        List<DesignMasterplateEntity> resultList = (List<DesignMasterplateEntity>)model.get("data");
        if(CollectionUtils.isNotEmpty(resultList)){
            resultList.stream().forEach(item-> {
                if (StringUtils.isNotEmpty(item.getDraft())) {
                    item.setDesignContent(JSONObject.parseArray(item.getDraft(), JSONObject.class));
                }
            });
        }
        return super.doListAfter(query, model, context);
    }
}