package com.mortals.xhx.module.news.model;


import com.mortals.xhx.module.news.model.vo.NewsVo;

import java.util.Date;

/**
* 用户消息实体对象
*
* @author zxfei
* @date 2022-06-29
*/

public class NewsEntity extends NewsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 消息id
    */
    private Long messageId;
    /**
    * 客户id
    */
    private Long customerId;
    /**
    * 消息标题
    */
    private String title;
    /**
    * 消息内容
    */
    private String content;
    /**
    * 消息类型1标题消息2动态消息
    */
    private Integer messageType;
    /**
    * 查阅状态0未读1已读
    */
    private Integer readStatus;
    /**
    * 接收时间
    */
    private Date receiveTime;



    public NewsEntity(){}
    /**
    * 获取 消息id
    * @return Long
    */
    public Long getMessageId(){
        return messageId;
    }
    /**
    * 设置 消息id
    * @param messageId
    */
    public void setMessageId(Long messageId){
        this.messageId = messageId;
    }
    /**
    * 获取 客户id
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 客户id
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 消息标题
    * @return String
    */
    public String getTitle(){
        return title;
    }
    /**
    * 设置 消息标题
    * @param title
    */
    public void setTitle(String title){
        this.title = title;
    }
    /**
    * 获取 消息内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 消息内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
    /**
    * 获取 消息类型1标题消息2动态消息
    * @return Integer
    */
    public Integer getMessageType(){
        return messageType;
    }
    /**
    * 设置 消息类型1标题消息2动态消息
    * @param messageType
    */
    public void setMessageType(Integer messageType){
        this.messageType = messageType;
    }
    /**
    * 获取 查阅状态0未读1已读
    * @return Integer
    */
    public Integer getReadStatus(){
        return readStatus;
    }
    /**
    * 设置 查阅状态0未读1已读
    * @param readStatus
    */
    public void setReadStatus(Integer readStatus){
        this.readStatus = readStatus;
    }
    /**
    * 获取 接收时间
    * @return Date
    */
    public Date getReceiveTime(){
        return receiveTime;
    }
    /**
    * 设置 接收时间
    * @param receiveTime
    */
    public void setReceiveTime(Date receiveTime){
        this.receiveTime = receiveTime;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof NewsEntity) {
            NewsEntity tmp = (NewsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",messageId:").append(getMessageId());
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",title:").append(getTitle());
        sb.append(",content:").append(getContent());
        sb.append(",messageType:").append(getMessageType());
        sb.append(",readStatus:").append(getReadStatus());
        sb.append(",receiveTime:").append(getReceiveTime());
        return sb.toString();
    }

    public void initAttrValue(){

            this.messageId = null;

            this.customerId = null;

            this.title = "";

            this.content = "";

            this.messageType = 1;

            this.readStatus = 0;

            this.receiveTime = null;
    }
}