package com.mortals.xhx.module.question.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.question.model.vo.QuestionRecordVo;
/**
* 问答记录信息实体对象
*
* @author zxfei
* @date 2022-06-29
*/

public class QuestionRecordEntity extends QuestionRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户ID，主键，自增长
    */
    private Long questionId;
    /**
    * 记录类型1提问2答复
    */
    private Integer recordType;
    /**
    * 内容
    */
    private String content;
    /**
    * 创建用户名称
    */
    private String createUserName;



    public QuestionRecordEntity(){}
    /**
    * 获取 用户ID，主键，自增长
    * @return Long
    */
    public Long getQuestionId(){
        return questionId;
    }
    /**
    * 设置 用户ID，主键，自增长
    * @param questionId
    */
    public void setQuestionId(Long questionId){
        this.questionId = questionId;
    }
    /**
    * 获取 记录类型1提问2答复
    * @return Integer
    */
    public Integer getRecordType(){
        return recordType;
    }
    /**
    * 设置 记录类型1提问2答复
    * @param recordType
    */
    public void setRecordType(Integer recordType){
        this.recordType = recordType;
    }
    /**
    * 获取 内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
    /**
    * 获取 创建用户名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QuestionRecordEntity) {
            QuestionRecordEntity tmp = (QuestionRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",questionId:").append(getQuestionId());
        sb.append(",recordType:").append(getRecordType());
        sb.append(",content:").append(getContent());
        sb.append(",createUserName:").append(getCreateUserName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.questionId = null;

            this.recordType = null;

            this.content = "";

            this.createUserName = "";
    }
}